<?
ob_start();
session_start();
$c_host = 'localhost';
$c_login = 'civa';
$c_pass = 'gsd12a';
$c_db = 'civa';
$link = mysql_connect($c_host, $c_login, $c_pass)
  or
die ("Не возможно присоединитса к Базе Данных. Сервер возможно перезагружаетса. Обновите страницу через пару секунд");

mysql_select_db ($c_db)
  or die ("Could not select database");
  mysql_query("SET NAMES 'windows-1251'", $link);
  mysql_set_charset("utf8");

header("Pragma: no-cache");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: private");
header("Cache-Control: max-stale=0");
header("Content-type: text/html; charset=utf8");
echo '
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <title>Цивилизация</title>


 <link rel="stylesheet" type="text/css" href="style.css"/>
</head>
<body>
<div class="head">
Восстановление пароля

</div><div class="money">';
if (isset($_POST['login']))
	{
	$error='';
	$login = htmlspecialchars($_POST['login']);
	$email = htmlspecialchars($_POST['email']);
	$sw = htmlspecialchars($_POST[sw]);
	$code = htmlspecialchars($_POST[code]);
	if (!preg_match("|^([a-z0-9_\.\-]{1,20})@([a-z0-9\.\-]{1,20})\.([a-z]{2,4})|is", strtolower($email))) $error .= 'Неверный формат E-email<br />';
	$count_sw = mb_strlen($sw, 'UTF-8');
	if ($count_sw < 4 || $count_sw > 20) $error .= 'Неверная длина секретного слова<br/>';
	if($_SESSION['secpic']!=strtolower($code)) $error .= 'Неверный защитный код<br />';
	if (!preg_match("|^[-a-z0-9а-я/._]{3,30}$|i",$login)) $error .= 'В логине запрещенные символы<br />';
	$count_email = mb_strlen($_POST['email'], 'UTF-8');
	if ($count_email < 4 || $count_email > 36) $error .= 'Неверная длина почты<br/>';
	$massagee = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `login`='$login' AND `secret_word`='$sw' AND `mail`='$email'"));
	if (empty($massagee[login])) $error .= 'Пользователь не найден. Проверьте правильность логина, пароля, секретного слова<br />';
	if (empty($error))
		{
		$title = 'Цивилизация. Восстановление пароля.';
        $mess =  'Здравствуйте, восстановление пароля в игре Цивилизация. Ваш пароль: '.$massagee[pass].', Логин: '.$login.'';

		$to  = $email;

		$subject = $title;

				$message = '
		<html>
			<head>
				<title>Birthday Reminders for August</title>
			</head>
			<body>
				<p>Здравствуйте, восстановление пароля в игре Цивилизация. <br />Ваш пароль: '.$massagee[pass].', Логин: '.$login.'</p>
			</body>
		</html>';

		$headers  = "Content-type: text/html; charset=utf-8 \r\n";
		$headers .= "From: support@civa.tk";
		$headers .= " Восстановление пароля";

		mail($to, $subject, $message, $headers);
		echo 'Письмо с паролем успешно отправлено.';
		unset($_SESSION['secpic']);
		} else
			{
			echo 'Ошибка<br />'.$error;
			unset($_SESSION['secpic']);
			}

	} else {
echo 'Для восстановления пароля введите следующие данные: </div><form action="" method="POST">
<div class="money">Логин:<br />
<input name="login" type="text" value=""><br />
E-email:<br />
<input type="text" name="email" value=""><br/>
Секретное слово:<br />
<input type="text" name="sw" value=""><br />
	Защитный код (2 символа):</div><div class="money">
	<img src="secpic.php" alt="codee"><br/>
	<input name="code" type="text" value="">
<br /><input type="submit" CLASS="buttonnext1" value="Далее">
</form>';
			}

echo '</div>
 <a class="razd" href="index.php">Вернуться</a></div>
<div class="footer">
<a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
</div>
</body></html>';

?>